<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

/*********************************************************************************
 * SugarCRM is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004 - 2009 SugarCRM Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * 
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo. If the display of the logo is not reasonably feasible for
 * technical reasons, the Appropriate Legal Notices must display the words
 * "Powered by SugarCRM".
 ********************************************************************************/
/*********************************************************************************

 * Description: This file is used to override the default Meta-data EditView behavior
 * to provide customization specific to the Tasks module.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

require_once('include/json_config.php');
require_once('include/MVC/View/views/view.edit.php');
include_once 'include/ECM/EcmGoogleServices/EcmGoogleService.php';

class TasksViewEdit extends ViewEdit {

 	function TasksViewEdit(){
 		parent::ViewEdit();
 	}

 	/**
 	 * preDisplay
 	 * Override preDisplay to check for presence of 'status' in $_REQUEST
 	 * This is to support the "Close And Create New" operation.
 	 */
 	function preDisplay() {
 		if($_REQUEST['module'] != 'Tasks' && isset($_REQUEST['status']) && empty($_REQUEST['status'])) {
	       $this->bean->status = '';
 		} //if
 		if(!empty($_REQUEST['status']) && ($_REQUEST['status'] == 'made')) {
	       $this->bean->status = 'made';
 		} 		
 		parent::preDisplay();
 	}
    
 	function display() {
 	    global $current_user;
 	    echo '<script type="text/javascript" src="modules/Tasks/javascript/EditView.js"></script>';		
 		if($this->ev->isDuplicate){
	       $this->bean->status = $GLOBALS['mod_strings']['LBL_DEFAULT_STATUS'];
 		} //if	
        if($this->bean->id!=''){
 		$this->ss->assign('emails_LIST',json_encode(explode(',',$this->bean->emails)));
 		$this->ss->assign('telephones_LIST',json_encode(explode(',',$this->bean->telephones)));
        } else {
            $this->bean->date_start=date('d.m.Y H:00');
            $this->bean->date_reminder=date('d.m.Y H:00');
            $this->bean->reminder_type=3;
            $this->ss->assign('emails_LIST',json_encode(explode(',',$current_user->email1)));
            $this->ss->assign('telephones_LIST',json_encode(explode(',',$current_user->phone_other)));
        }
 		$go=new EcmGoogleService();
 		if($go!=false){
 		    if($go->checkLogin()==true){
 		        $this->ss->assign('g_check', '1');
 		        
 		    } else {
 		        $this->ss->assign('g_check', '0');
 		    }
 		    
 		}
 		
 		parent::display();
 	}
}
?>
